%define with_json_lib 0
Name:          fastjson
Version:       1.1.8
Release:       %mkrel 1
Summary:       JSON processor written in Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.alibabatech.com/wiki/display/FastJSON/Home
# svn checkout http://code.alibabatech.com/svn/fastjson//tags/1.1.8/fastjson fastjson-1.1.8
# tar czf fastjson-1.1.8-src-svn.tar.gz fastjson-1.1.8
Source0:       fastjson-1.1.8-src-svn.tar.gz

Patch0:        fastjson-1.1.8-pom.patch
Patch1:        fastjson-1.1.8-no-json-lib.patch
Patch2:        fastjson-1.1.8-commons-lang.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

# only for testing
BuildRequires: apache-commons-io
BuildRequires: apache-commons-lang
BuildRequires: google-gson
BuildRequires: jackson
%if %with_json_lib
BuildRequires: json-lib >= 2.4
%endif
BuildRequires: json_simple
BuildRequires: json-smart
BuildRequires: junit4

BuildRequires: maven-compiler-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Fastjson is a JSON processor (JSON parser + JSON generator) written in Java.
Features

* FAST (measured to be faster than any other Java parser and databinder,
  incudes jackson. )
* Powerful (full data binding for common JDK classes as well as any Java Bean class,
  Collection, Map, Date or enum)
* Zero-dependency (doest not rely on other packages beyond JDK)
* Open Source (Apache License 2.0)

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q

%patch0 -p0
%if !%with_json_lib
%patch1 -p0
rm -rf src/test/java/com/alibaba/json/bvt/serializer/BugTest2.java
rm -rf src/test/java/com/alibaba/json/bvt/compatible/jsonlib/*
rm -rf src/test/java/com/alibaba/json/test/codec/JsonLibCodec.java
rm -rf src/test/java/com/alibaba/json/test/performance/case1/IntDecoderPerformanceTest.java
rm -rf src/test/java/com/alibaba/json/test/performance/ObjectDecodePerformanceTest.java
%endif
%patch2 -p0

%build

mvn-rpmbuild -e \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 0644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}/



%changelog

* Sun Jan 08 2012 gil <gil> 1.1.8-1.mga2
+ Revision: 193491
- imported package fastjson

